Package Details: webstorm-jre 2022.3.2-1

Git Clone URL: https://aur.archlinux.org/webstorm.git (read-only, click to copy)
Package Base: webstorm
Description: JBR (JetBrains Runtime) for WebStorm - a patched JRE
Upstream URL: https://confluence.jetbrains.com/display/JBR/JetBrains+Runtime
Licenses: custom:jetbrains
Submitter: Testuser_01
Maintainer: freswa
Last Packager: freswa
Votes: 170
Popularity: 0.27
First Submitted: 2012-01-05 18:10 (UTC)
Last Updated: 2023-01-31 20:34 (UTC)

Latest Comments

1 2 3 4 5 6 .. 11 Next › Last »

jtiemer commented on 2022-12-09 14:35 (UTC)

@freswa Thanks from me as well. I encountered the same problem with webstorm and webstorm-jre. With pikaur and plain makepkg -i.

blackfox commented on 2022-12-09 13:26 (UTC)

@freswa That indeed fixed my problem.

Thanks for the work around!

radio_rogal commented on 2022-12-08 15:33 (UTC)

com/intellij/util/lang/PathClassLoader has been compiled by a more recent version of the Java Runtime (class file version 61.0), this version of the Java Runtime only recognizes class file versions up to 55.0

It means that the webstorm requires java 17 and cannot run on java 11.

freswa commented on 2022-12-08 12:18 (UTC)

@blackfox I'd recommend to use makepkg -sCci to cleanup the build environment before and after pkg creation. I'll work on a solution for polluted build enviroments anyways. Thanks!

blackfox commented on 2022-12-07 23:02 (UTC)

Hello @freswa,

Sorry to reply only now, didn't receive a notification. Basically I don't use any AUR helper, simple makepkg -si.

Thanks

freswa commented on 2022-11-29 18:38 (UTC)

@blackfox What AUR helper did you use?

blackfox commented on 2022-11-29 07:41 (UTC)

Latest changes broke the build:

==> Starting package_webstorm()...
cp: target '/home/user/webstorm/pkg/webstorm/opt/webstorm': No such file or directory

freswa commented on 2021-12-03 00:05 (UTC)

AUR helpers are not supported officially.

ramyar.rmn commented on 2021-12-02 23:35 (UTC)

I get an error: Failed to generate webstorm-jre information